<?php
require_once("../../config/Cado.php");
require_once("../usuario/cUsuario.php");
$oUsuario = new cUsuario();

require_once("../formatos/formato.php");

if($_POST['action_usuario']=="insertar"){
	if(!empty($_POST['txt_usu_use']) and !empty($_POST['txt_usu_pas']) )
	{
		$oUsuario->insertar(
			$_POST['txt_usu_use'],
			$_POST['txt_usu_pas'],
			$_POST['txt_usu_nom'],
			$_POST['txt_usu_ape'],
			$_POST['txt_usu_ema'],
			$_POST['txt_usu_tel'],
			$_POST['txt_usu_dir'],
			$_POST['txt_usu_dni'],
			moneda_mysql($_POST['cmb_usu_blo']),
			moneda_mysql($_POST['cmb_usugru_id']),
			moneda_mysql($_POST['cmb_usuper_id']),
			$_POST['cmb_punven_id'],
			$_POST['txt_usu_ser']
		);
		
		$dts=$oUsuario->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$usu_id=$dt['last_insert_id()'];
		mysqli_free_result($dts);
		$data['usu_id']=$usu_id;
		$data['usu_msj']='Se registró usuario correctamente.';
		echo json_encode($data);	
	}
	else
	{
		$data['usu_msj']='Intentelo nuevamente';
		echo json_encode($data);	
	}
}
if($_POST['action_usuario']=="editar"){
	if(!empty($_POST['hdd_usu_id']) )
	{
		$oUsuario->modificar(
			$_POST['hdd_usu_id'],
			$_POST['txt_usu_nom'],
			$_POST['txt_usu_ape'],
			$_POST['txt_usu_ema'],
			$_POST['txt_usu_tel'],
			$_POST['txt_usu_dir'],
			$_POST['txt_usu_dni'],
			$_POST['cmb_usu_blo'],
			$_POST['cmb_usugru_id'],
			moneda_mysql($_POST['cmb_usuper_id']),
			$_POST['cmb_punven_id'],
			$_POST['txt_usu_ser']
		);
		if($_POST['chk_usu_use']==1):
			$use=$_POST['txt_usu_use'];
			$oUsuario->modificar_campo($_POST['hdd_usu_id'],'use',"$use");
		endif;
		if($_POST['chk_usu_pas']==1):
			$pas=md5($_POST['txt_usu_pas']);
			$oUsuario->modificar_campo($_POST['hdd_usu_id'],'pas',$pas);
		endif;
		$data['usu_msj']='Se modificó usuario correctamente.';
		echo json_encode($data);	
	}
	else
	{
		$data['usu_msj']='Intentelo nuevamente';
		echo json_encode($data);	
	}
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['usu_id']))
	{
		/*$cst1 = $oUsuario->verifica_usuario_tabla($_POST['usu_id'],'tb_misa');
		$rst1= mysqli_num_rows($cst1);
		if($rst1>0)$msj1=' - Misa';
		
		if($rst1>0)
		{
			echo "No se puede eliminar, afecta información de: ".$msj1.".";
		}
		else
		{*/
			$oUsuario->modificar_campo($_POST['usu_id'],'xac','0');
			echo 'Se envió a la papelera correctamente.';
		//}
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
?>